Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

# FIXME/TODO: needed BuildRequires 
# mDNS, Decibel

Summary: 	K Desktop Environment - Network Applications
Name: 		kdenetwork
Version:	4.5.5
Release:	1

License: 	GPLv2
Group: 		Graphical Desktop/KDE4
URL: 		http://www.kde.org
Source0: 	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdenetwork-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
BuildRequires: 	boost-devel
BuildRequires: 	cmake
BuildRequires: 	kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdepimlibs-devel >= %{version}
BuildRequires: 	kdebase-workspace-devel >= %{version}
BuildRequires: 	openldap-devel
BuildRequires:	ortp-devel
BuildRequires:  srtp-devel
BuildRequires: 	pcre-devel
BuildRequires: 	sqlite-devel openslp-devel
BuildRequires:	webkitkde-devel
BuildRequires:	speex-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libgadu-devel
BuildRequires:	automoc4
BuildRequires:  mediastreamer-devel
Requires(post): xdg-utils
Requires(postun): xdg-utils
Requires: kdelibs4 >= %{version}
Requires: kdepimlibs4 >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdenetwork4 < %{version}-%{release}
Provides:  	kdenetwork4 = %{version}-%{release}

BuildConflicts:	kdelib3-devel

# kopete/yahoo
Requires(hint): jasper
## kppp
Requires: ppp
## krdc
Requires(hint): rdesktop

BuildRequires: shared-desktop-ontologies
BuildRequires: pulseaudio-libs-devel
BuildRequires: alsa-lib-devel
BuildRequires: libXi-devel

#Automatically resolved build dependencies
BuildRequires: giflib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gmp-devel
BuildRequires: gpgme-devel
BuildRequires: kdebase-devel
BuildRequires: kdebase-workspace-devel
BuildRequires: kdelibs-devel
BuildRequires: kdepimlibs-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libidn-devel
BuildRequires: libjpeg-devel
BuildRequires: libmsn-devel
BuildRequires: libotr-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libv4l-devel
BuildRequires: libvncserver-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libxslt-devel
BuildRequires: libXtst-devel
BuildRequires: meanwhile-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: qca-devel
BuildRequires: qimageblitz-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: xmms-devel
BuildRequires: zlib-devel

%description
Networking applications, including:
* kget: downloader manager
* kio_lan: lan browsing kio slave
* knewsticker: RDF newsticker applet
* kopete: chat client
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers
* krfb: Desktop Sharing server, allow others to access your desktop via VNC
* lisa: lan information server

%package libs
Summary: 	Runtime libraries for %{name}
Group:   	System/Libraries
Obsoletes: 	kdenetwork4-libs < %{version}-%{release}
Provides:  	kdenetwork4-libs = %{version}-%{release}


%description libs
%{summary}.

%package devel
Group:    	Development/Libraries
Summary:  	Development files for %{name} 
Requires: 	%{name}-libs = %{version}-%{release}
Requires: 	kdelibs-devel
Obsoletes: 	kdenetwork4-devel < %{version}-%{release}
Provides:  	kdenetwork4-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
#%{_kde4_appsdir}/desktoptheme/
%{_kde4_appsdir}/kget/
%{_kde4_appsdir}/khtml/kpartplugins/kget_plug_in.rc
#%{_kde4_appsdir}//webkitpart/kpartplugins/kget_plug_in.rc
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kppp/
%{_kde4_appsdir}/krfb/
%{_kde4_appsdir}/krdc/
#%{_kde4_appsdir}/zeroconf/
%{_kde4_appsdir}/remoteview/
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/org.kde.kget.service
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/kget/
#%{_kde4_docdir}/HTML/en/knewsticker/
%{_kde4_docdir}/HTML/en/kopete/
%{_kde4_docdir}/HTML/en/kppp/
%{_kde4_docdir}/HTML/en/krfb/
%{_kde4_docdir}/HTML/en/krdc/
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_configdir}/kopeterc
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_appsdir}/kconf_update/*
%{_kde4_libdir}/kde4/*
%{_libdir}/mozilla/plugins/skypebuttons.so
%{_datadir}/kde4/apps/dolphinpart/kpartplugins/kget_plug_in.rc

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%exclude %{_kde4_libdir}/libqgroupwise.so


%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 4.5.5-1
- Version Update
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Mon Aug 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 28 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( KDE 4.1 Beta 2 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update, added libvncserver to build krfb
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Mon Dec 17 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Initial release
